%define evo %(rpm -q evolution-devel --queryformat %%{VERSION})
%define fname %name-%version

Version:	5.4
Summary:	New mail status tray icon
Name:		mail-notification
Release:	%mkrel 25
License:	GPLv3+ and GFDL+
Group:		Networking/Mail
Source:		http://savannah.nongnu.org/download/mailnotify/%{fname}.tar.bz2
Source1:	http://savannah.nongnu.org/download/mailnotify/%{fname}.tar.bz2.sig
Patch0:		mail-notification-5.4-evolution.patch
Patch1:		mail-notification-5.4-gmime.patch
Patch2:		mail-notification-5.4-sasl_encode64.patch
Patch3:		mail-notification-5.4-evolution-gtkhtml.patch
Patch4:		mail-notification-5.4-camel_headers.patch
Patch5:		mail-notification-5.4-icons.patch
Patch6:		mail-notification-5.4-weak.patch
Patch7:		mail-notification-5.4-popup-attach.patch
Patch8:		mail-notification-5.4-kde-trayicon.patch
Patch9:		mail-notification-5.4-evolution-3-0-support.patch
Patch10:	mail-notification-5.4-gtk3-support.patch
Patch11:	mail-notification-5.4-build-without-optimalisations.patch
Patch12:	mail-notification-5.4-add-fallback-icon.patch
Patch13:	popup-markup.patch
Patch14:	mail-notification-5.4-make-properties-dialog-resizable.patch
Patch15:	mail-notification-5.4-prevent-memory-corruption-in-tooltips-code.patch
Patch16:	mail-notification-5.4-libemail.patch
URL:		http://www.nongnu.org/mailnotify/
BuildRequires:	libsasl-devel
BuildRequires:	openssl-devel
BuildRequires:	libgmime-devel
BuildRequires:	evolution-devel
BuildRequires:	pkgconfig(libgnome-2.0) >= 2.14.0
BuildRequires:	pkgconfig(gnome-vfs-2.0)
#gw with the patch1 we need e-d-s 2.23
BuildRequires:	evolution-data-server-devel >= 2.23
BuildRequires:	libnotify-devel
BuildRequires:	avahi-glib-devel avahi-client-devel
BuildRequires:	gob2
BuildRequires:	scrollkeeper
BuildRequires:	perl-XML-Parser
BuildRequires:	mono-devel
BuildRequires:	desktop-file-utils
BuildRequires:	gtk+2-devel
#gw aclocal called:
BuildRequires:	intltool
Suggests:	fetchyahoo

%description
Mail Notification is a status icon (aka tray icon) that informs you if 
you have new mail. It works with system trays implementing the 
freedesktop.org System Tray Specification, such as the GNOME Panel 
Notification Area, the Xfce Notification Area, and the KDE System Tray. 
Mail Notification features include multiple mailbox support, mbox, MH, 
Maildir, Sylpheed, POP3, IMAP, and Gmail support, SASL and APOP 
authentication support, SSL support, automatic detection of mailbox 
format, automatic notification, and HIG 2.0 compliance.

%package evolution
Group:		Networking/Mail
Summary:	New mail status tray icon for Evolution
Requires:	%name = %version
Requires:	evolution >= %evo

%description evolution
Mail Notification is a status icon (aka tray icon) that informs you if 
you have new mail. It works with system trays implementing the 
freedesktop.org System Tray Specification, such as the GNOME Panel 
Notification Area, the Xfce Notification Area, and the KDE System Tray. 

Install this if you use Evolution.

%prep
%setup -q -n %fname
%patch0 -p1 -b .evolution
%patch1 -p1 -b .gmime
%patch2 -p1 -b .sasl_encode64
%patch3 -p1 -b .gtkhtml
%patch4 -p1 -b .camel_headers
%patch5 -p1 -b .icons
%patch6 -p1 -b .weak
%patch7 -p1 -b .popup_attach
%patch8 -p1 -b .kde_trayicon

# Evolution 3.0 requires a patch as the pkgconfig names have changed
# GTK3 requires various changes as well
%if 0%{?mgaver} >= 2
%patch9 -p0 -b .evolution30
%patch10 -p0 -b .gtk3
%endif

# Temporary patch to build without any optimalisations so we
# can get better stacktraces for RHBZ #531088
%patch11 -p0 -b .gcc

# Don't throw assertion errors (and a possible crash) when
# some icons can't be found. Fixes RHBZ #654826
# This is a temporary workaround until GNOME BZ #629878 is fixed
%patch12 -p0 -b .fallback_icon

# Don't use <span> tags as XFCE's notification daemon doesn't understand those
%patch13 -p1 -b .span

# Make the mailbox properties dialog resizable
%patch14 -p0 -b .properties_resizable

# Prevent memory corruption in the tooltips code
%patch15 -p0 -b .tooltips_mem_corruption

#  Drop #line statements in C sources generated by .gob,
#  for the proper debuginfo package
pushd build/src
for f in *.c *.h
do
    sed -i '/^#line / d' $f
done
popd

# Convert the Glade UI to GtkBuilder
%if 0%{?mgaver} >= 2
pushd ui
gtk-builder-convert mailbox-properties-dialog.glade mailbox-properties-dialog.ui
gtk-builder-convert properties-dialog.glade properties-dialog.ui
sed -i s@'<property name="has_separator">False</property>'@@ mailbox-properties-dialog.ui
sed -i s@'<property name="has_separator">False</property>'@@ properties-dialog.ui
popd
%endif

#  Adapt to evolution 3.3.5 libemail changes
%patch16 -p1 -b .libemail

%build
#gw link error in evolution plugin
%define _disable_ld_no_undefined 1
./jb configure \
	prefix=%_prefix \
	sysconfdir=%_sysconfdir \
	gconf-schemas-dir=%_sysconfdir/gconf/schemas \
	cflags="%optflags -I%{_includedir}/gconf/2 -I%{_includedir}/libsoup-2.4" \
	ldflags="%ldflags -Wl,--export-dynamic" \
	libs="-lX11" \
	destdir=%buildroot
./jb build 

%install
rm -rf $RPM_BUILD_ROOT %name.lang

GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 ./jb install
rm -f %buildroot%_libdir/evolution/*/plugins/*a
%find_lang %name --with-gnome
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Internet-Mail" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

mkdir -p %buildroot/{%_liconsdir,%_iconsdir,%_miconsdir}
ln -s %_datadir/icons/hicolor/48x48/apps/mail-notification.png %{buildroot}%{_liconsdir}/%{name}.png
ln -s %_datadir/icons/hicolor/32x32/apps/mail-notification.png %{buildroot}%{_iconsdir}/%{name}.png
ln -s %_datadir/icons/hicolor/16x16/apps/mail-notification.png %{buildroot}%{_miconsdir}/%{name}.png

%if 0%{?mgaver} >= 2
install -m 644 ui/mailbox-properties-dialog.ui $RPM_BUILD_ROOT%{_datadir}/%{name}/mailbox-properties-dialog.ui
install -m 644 ui/properties-dialog.ui $RPM_BUILD_ROOT%{_datadir}/%{name}/properties-dialog.ui
rm -f $RPM_BUILD_ROOT%{_datadir}/%{name}/*.glade
%endif


%preun
%preun_uninstall_gconf_schemas mail-notification

%files -f %name.lang
%doc README COPYING TODO 
%config(noreplace) %_sysconfdir/xdg/autostart/mail-notification.desktop
%_bindir/*
%_datadir/%name
%_datadir/applications/*
%dir %_datadir/omf/mail-notification/
%_datadir/omf/mail-notification/%name-C.omf
%_sysconfdir/gconf/schemas/mail-notification.schemas
%_datadir/icons/hicolor/*/apps/*
%_liconsdir/%name.png
%_iconsdir/%name.png
%_miconsdir/%name.png

%files evolution
%doc COPYING
%_libdir/evolution/*/plugins/*



%changelog

* Mon Feb 27 2012 fwang <fwang> 5.4-25.mga2
+ Revision: 215603
- sync with fedora patches
- move back to cauldron
- seems dead upstream
- add fedora patch to build with latest evo
- rebuild for new evo

* Sat Dec 24 2011 wally <wally> 5.4-24.mga2
+ Revision: 187310
- rebuild for new evolution

* Sat Nov 26 2011 fwang <fwang> 5.4-23.mga2
+ Revision: 172439
- rebuild for new evo

* Sat Oct 29 2011 fwang <fwang> 5.4-22.mga2
+ Revision: 159523
- rebuild for new evo

* Thu Sep 29 2011 ovitters <ovitters> 5.4-21.mga2
+ Revision: 150095
- package the .ui files instead of .glade
- spec file cleanup

* Tue Aug 30 2011 fwang <fwang> 5.4-20.mga2
+ Revision: 136496
- add more br
- br gtk2 for gtk-builder-convert
- rebuild for new evo
- rebuild for new evo

  + wally <wally>
    - rebuild for new gmime

  + dmorgan <dmorgan>
    - Rebuild against new evolution-data-server
    - Removed the --sm-disable flag from the autostart file as it isn't
      working anymore (due to the dropped libgnomeui dep). RHBZ #718989
    - Updated the GTK3 patch so that popup windows are themed properly
      and the list of unread mails in popup windows are positioned properly
      Initial patch by Enrico Scholz (RHBZ #702097)

* Sun Jun 26 2011 fwang <fwang> 5.4-16.mga2
+ Revision: 113934
- sync with fedora's gtk3 port

  + dmorgan <dmorgan>
    - Rebuild against new evolution-data-server

* Thu Mar 10 2011 ennael <ennael> 5.4-15.mga1
+ Revision: 67490
- more cleaning
- clean spec file
- imported package mail-notification

